RDKit: RDKit::ResonanceMolSupplierCallback Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Friends | List of all members
RDKit::ResonanceMolSupplierCallback Class Referenceabstract

`#include <Resonance.h>`

## Public Member Functions
| ResonanceMolSupplierCallback ()
virtual | ~ResonanceMolSupplierCallback ()
unsigned int | getNumConjGrps () const
size_t | getMaxStructures () const
size_t | getNumStructures (unsigned int conjGrpIdx) const
size_t | getNumDiverseStructures (unsigned int conjGrpIdx) const
virtual bool | operator() ()=0

## Friends
class | ResonanceMolSupplier

## Detailed Description

Create a derived class from this abstract base class and implement the operator()() method. The operator()() method is called at each iteration of the algorithm, and provides a mechanism to monitor or stop its progress. To have your callback called, pass an instance of your derived class to ResonanceMolSupplier::setProgressCallback().

Definition at line 43 of file Resonance.h.

## Constructor & Destructor Documentation

## ◆ ResonanceMolSupplierCallback()

RDKit::ResonanceMolSupplierCallback::ResonanceMolSupplierCallback | ( |  | ) |
| inline

Definition at line 47 of file Resonance.h.

## ◆ ~ResonanceMolSupplierCallback()

virtual RDKit::ResonanceMolSupplierCallback::~ResonanceMolSupplierCallback | ( |  | ) |
| inlinevirtual

Definition at line 48 of file Resonance.h.

## Member Function Documentation

## ◆ getMaxStructures()

size_t RDKit::ResonanceMolSupplierCallback::getMaxStructures | ( |  | ) | const
| inline

Get the maximum number of resonance structures the supplier is allowed to generate.

Returns
  The number of structures.

Definition at line 55 of file Resonance.h.

## ◆ getNumConjGrps()

unsigned int RDKit::ResonanceMolSupplierCallback::getNumConjGrps | ( |  | ) | const
| inline

Get the number of conjugated groups this molecule has.

Definition at line 50 of file Resonance.h.

## ◆ getNumDiverseStructures()

size_t RDKit::ResonanceMolSupplierCallback::getNumDiverseStructures | ( | unsigned int | conjGrpIdx | ) | const

Get the number of resonance structures with a different score (i.e., non-degenerate) generated so far for a certain conjugated group.

Parameters

  conjGrpIdx | the conjugated group index.

Returns
  the number of non-degenrate resonance structures generated so far for this group.

## ◆ getNumStructures()

size_t RDKit::ResonanceMolSupplierCallback::getNumStructures | ( | unsigned int | conjGrpIdx | ) | const

Get the number of resonance structures generated so far for a certain conjugated group.

Parameters

  conjGrpIdx | the conjugated group index.

Returns
  the number of resonance structures generated so far for this group.

## ◆ operator()()

virtual bool RDKit::ResonanceMolSupplierCallback::operator() | ( |  | ) |
| pure virtual

Pure virtual; this must be implemented in the derived class.

Returns
  true if the resonance structure generation should continue; false if the resonance structure generation should stop.

## Friends And Related Symbol Documentation

## ◆ ResonanceMolSupplier

friend class ResonanceMolSupplier
| friend

Definition at line 44 of file Resonance.h.

References ResonanceMolSupplier.

Referenced by ResonanceMolSupplier.

The documentation for this class was generated from the following file:

- Resonance.h